;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| Special Motions |------------------------------------------------------
[Command]
name = "df_x"
command = ~D, DF, F, x
[Command]
name = "df_y"
command = ~D, DF, F, y
[Command]
name = "df_z"
command = ~D, DF, F, z
[Command]
name = "df_x"
command = ~D, DF, F, ~x
[Command]
name = "df_y"
command = ~D, DF, F, ~y
[Command]
name = "df_z"
command = ~D, DF, F, ~z

[Command]
name = "df_a"
command = ~D, DF, F, a
[Command]
name = "df_b"
command = ~D, DF, F, b
[Command]
name = "df_c"
command = ~D, DF, F, c
[Command]
name = "df_a"
command = ~D, DF, F, ~a
[Command]
name = "df_b"
command = ~D, DF, F, ~b
[Command]
name = "df_c"
command = ~D, DF, F, ~c

[Command]
name = "db_x"
command = ~D, DB, B, x
[Command]
name = "db_y"
command = ~D, DB, B, y
[Command]
name = "db_z"
command = ~D, DB, B, z
[Command]
name = "db_x"
command = ~D, DB, B, ~x
[Command]
name = "db_y"
command = ~D, DB, B, ~y
[Command]
name = "db_z"
command = ~D, DB, B, ~z

[Command]
name = "db_a"
command = ~D, DB, B, a
[Command]
name = "db_b"
command = ~D, DB, B, b
[Command]
name = "db_c"
command = ~D, DB, B, c
[Command]
name = "db_a"
command = ~D, DB, B, ~a
[Command]
name = "db_b"
command = ~D, DB, B, ~b
[Command]
name = "db_c"
command = ~D, DB, B, ~c

[Command]
name = "dp_x"
command = ~F, D, DF, x
[Command]
name = "dp_y"
command = ~F, D, DF, y
[Command]
name = "dp_z"
command = ~F, D, DF, z
[Command]
name = "dp_x"
command = ~F, D, DF, ~x
[Command]
name = "dp_y"
command = ~F, D, DF, ~y
[Command]
name = "dp_z"
command = ~F, D, DF, ~z

[Command]
name = "dp_a"
command = ~F, D, DF, a
[Command]
name = "dp_b"
command = ~F, D, DF, b
[Command]
name = "dp_c"
command = ~F, D, DF, c
[Command]
name = "dp_a"
command = ~F, D, DF, ~a
[Command]
name = "dp_b"
command = ~F, D, DF, ~b
[Command]
name = "dp_c"
command = ~F, D, DF, ~c

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Single Dir |------------------------------------------------------------
[Command]
name = "fwd" ;Required (do not remove)
command = $F
time = 1

[Command]
name = "downfwd"
command = $DF
time = 1

[Command]
name = "down" ;Required (do not remove)
command = $D
time = 1

[Command]
name = "downback"
command = $DB
time = 1

[Command]
name = "back" ;Required (do not remove)
command = $B
time = 1

[Command]
name = "upback"
command = $UB
time = 1

[Command]
name = "up" ;Required (do not remove)
command = $U
time = 1

[Command]
name = "upfwd"
command = $UF
time = 1

;-| Hold Button |--------------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_s"
command = /s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;---------------------------------------------------------------------------
; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===== Contact/Hit/Guard =====
;----- MoveContact -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 20
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveContact
trigger1 = StateNo < 2000 + (var(58) * 100000)
ignorehitpause = 1
v = 20
value = 1
;--------------------

;----- MoveHit -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 21
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveHit
trigger1 = StateNo < 2000 + (var(58) * 100000)
ignorehitpause = 1
v = 21
value = 1
;--------------------

;----- MoveGuarded -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 22
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveGuarded
trigger1 = StateNo < 2000 + (var(58) * 100000)
ignorehitpause = 1
v = 22
value = 1
;--------------------
;=========================

;----- Force Character -----
[State -1, Varset]
type = VarSet
trigger1 = Name = "Ryu"
ignorehitpause = 1
var(58) = 0

[State -1, Varset]
type = VarSet
trigger1 = Name = "E.Honda"
ignorehitpause = 1
var(58) = 1

[State -1, Varset]
type = VarSet
trigger1 = Name = "Blanka"
ignorehitpause = 1
var(58) = 2

[State -1, Varset]
type = VarSet
trigger1 = Name = "Guile"
ignorehitpause = 1
var(58) = 3

[State -1, Varset]
type = VarSet
trigger1 = Name = "Ken"
trigger2 = RoundState = 2
trigger2 = Var(58) >= 1
trigger2 = Var(58) < 4
ignorehitpause = 1
var(58) = 4

[State -1, Varset]
type = VarSet
trigger1 = Name = "Chun Li"
ignorehitpause = 1
var(58) = 5

[State -1, Varset]
type = VarSet
trigger1 = Name = "Zangief"
ignorehitpause = 1
var(58) = 6

[State -1, Varset]
type = VarSet
trigger1 = Name = "Dhalsim"
ignorehitpause = 1
var(58) = 7

[State -1, Varset]
type = VarSet
trigger1 = Name = "M.Bison"
trigger2 = RoundState = 2
trigger2 = Var(58) >= 5
trigger2 = Var(58) < 8
ignorehitpause = 1
var(58) = 8

[State -1, Varset]
type = VarSet
trigger1 = Name = "Sagat"
ignorehitpause = 1
var(58) = 9

[State -1, Varset]
type = VarSet
trigger1 = Name = "Balrog"
ignorehitpause = 1
var(58) = 10

[State -1, Varset]
type = VarSet
trigger1 = Name = "Vega"
ignorehitpause = 1
var(58) = 11
;-------------------------

;---------------------------------------------------------------------------
; Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = AILevel <= 0
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
; [SHENG LONG COMMANDS]
;---------------------------------------------------------------------------
; Fierce Flaming Shoryuken
[State -1, State]
type = ChangeState
value = 1010
triggerall = AILevel <= 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = command = "dp_z"
trigger1 = StateNo >= 200
trigger1 = StateNo < 500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Tatsumaki Senpukyaku Air
[State -1, State]
type = ChangeState
value = 1150
triggerall = AILevel <= 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = command = "db_a" || command = "db_b" || command = "db_c"
trigger1 = StateNo >= 600
trigger1 = StateNo < 700
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype = A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Tatsumaki Senpukyaku
[State -1, State]
type = ChangeState
value = 1110
triggerall = AILevel <= 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = command = "db_a" || command = "db_b" || command = "db_c"
trigger1 = StateNo >= 200
trigger1 = StateNo < 500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Hadoken
[State -1, State]
type = ChangeState
value = 1200
triggerall = AILevel <= 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = command = "df_x" || command = "df_y" || command = "df_z"
trigger1 = StateNo >= 200
trigger1 = StateNo < 500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Hadoken
[State -1, State]
type = ChangeState
value = 1300
triggerall = AILevel <= 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = command = "df_x" || command = "df_y" || command = "df_z"
trigger1 = StateNo >= 600
trigger1 = StateNo < 700
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype = A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Sonic Boom
[State -1, State]
type = ChangeState
value = 1500
triggerall = AILevel <= 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = command = "db_x" || command = "db_y" || command = "db_z"
trigger1 = StateNo >= 200
trigger1 = StateNo < 500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Throw
[State -1, State]
type = ChangeState
value = 900
triggerall = AILevel <= 0
triggerall = Var(58) = 12
triggerall = Var(57) >= 500
triggerall = command = "y" || command = "z" || command = "b" || command = "c"
triggerall = statetype = A
triggerall = ctrl
trigger1 = command = "holdfwd" || command = "holdback"
trigger1 = p2bodydist X <= 20
trigger1 = p2bodydist Y > -50
trigger1 = p2bodydist Y < 50
trigger1 = p2statetype = A
trigger1 = p2movetype != H

;===========================================================================
;---------------------------------------------------------------------------
; [RYU/KEN COMMANDS]
;---------------------------------------------------------------------------
; Shoryuken
[State -1, State]
type = ChangeState
value = 1000
triggerall = AILevel <= 0
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = command = "dp_x" || command = "dp_y" || command = "dp_z"
trigger1 = StateNo >= 200
trigger1 = StateNo < 500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Tatsumaki Senpukyaku
[State -1, State]
type = ChangeState
value = 1100
triggerall = AILevel <= 0
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4
triggerall = command = "db_a" || command = "db_b" || command = "db_c"
trigger1 = StateNo >= 200
trigger1 = StateNo < 500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Hadoken
[State -1, State]
type = ChangeState
value = 1200
triggerall = AILevel <= 0
triggerall = NumHelper(2000 + (var(58) * 100000)) <= 0
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4
triggerall = command = "df_x" || command = "df_y" || command = "df_z"
trigger1 = StateNo >= 200
trigger1 = StateNo < 500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Throw
[State -1, State]
type = ChangeState
value = 800
triggerall = AILevel <= 0
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = command = "y" || command = "z" || command = "b" || command = "c"
triggerall = statetype = S 
triggerall = ctrl
trigger1 = p2bodydist X <= 20
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H || p2stateno = 5300
trigger1 = command = "holdfwd" || command = "holdback"

;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, State]
type = ChangeState
value = 200
triggerall = AILevel <= 0
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = StateNo = 200
trigger1 = AnimElem = 2, > 0
trigger1 = StateTime >= 5
trigger2 = statetype = S
trigger2 = ctrl

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 210
triggerall = AILevel <= 0
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = S
trigger1 = ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 220
triggerall = AILevel <= 0
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Stand Light Kick
[State -1, State]
type = ChangeState
value = 230
triggerall = AILevel <= 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = StateNo = 230
trigger1 = AnimElem = 3, > 0
trigger1 = StateTime > 5
trigger2 = statetype = S
trigger2 = ctrl

; Stand Medium Kick
[State -1, State]
type = ChangeState
value = 240
triggerall = AILevel <= 0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = S
trigger1 = ctrl

; Stand Strong Kick
[State -1, State]
type = ChangeState
value = 250
triggerall = AILevel <= 0
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 400
triggerall = AILevel <= 0
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = StateNo = 400
trigger1 = AnimElem = 2, > 0
trigger1 = StateTime >= 5
trigger2 = statetype = C
trigger2 = ctrl

; Crouch Medium Punch
[State -1, State]
type = ChangeState
value = 410
triggerall = AILevel <= 0
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = C
trigger1 = ctrl

; Crouch Strong Punch
[State -1, State]
type = ChangeState
value = 420
triggerall = AILevel <= 0
triggerall = command = "z"
triggerall = command = "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Light Kick
[State -1, State]
type = ChangeState
value = 430
triggerall = AILevel <= 0
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = StateNo = 430
trigger1 = AnimElem = 2, > 0
trigger1 = StateTime >= 5
trigger2 = statetype = C
trigger2 = ctrl

; Crouch Medium Kick
[State -1, State]
type = ChangeState
value = 440
triggerall = AILevel <= 0
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = C
trigger1 = ctrl

; Crouch Strong Kick
[State -1, State]
type = ChangeState
value = 450
triggerall = AILevel <= 0
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Light Punch
[State -1, State]
type = ChangeState
value = 600
triggerall = AILevel <= 0
triggerall = command = "x"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = A
trigger1 = ctrl

; Jump Medium Punch
[State -1, State]
type = ChangeState
value = 610
triggerall = AILevel <= 0
triggerall = command = "y"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = A
trigger1 = ctrl

; Jump Strong Punch
[State -1, State]
type = ChangeState
value = 620
triggerall = AILevel <= 0
triggerall = command = "z"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Light Kick
[State -1, State]
type = ChangeState
value = 630
triggerall = AILevel <= 0
triggerall = command = "a"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = A
trigger1 = ctrl

; Jump Medium Kick
[State -1, State]
type = ChangeState
value = 640
triggerall = AILevel <= 0
triggerall = command = "b"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = A
trigger1 = ctrl

; Jump Strong Kick
[State -1, State]
type = ChangeState
value = 650
triggerall = AILevel <= 0
triggerall = command = "c"
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
trigger1 = statetype = A
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
; [M.BISON COMMANDS]
;---------------------------------------------------------------------------
; Psycho Crusher
[State -1, State]
type = ChangeState
value = 801000
triggerall = AILevel <= 0
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = command = "df_x" || command = "df_y" || command = "df_z"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Head Stomp
[State -1, State]
type = ChangeState
value = 801100
triggerall = AILevel <= 0
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = command = "db_a" || command = "db_b" || command = "db_c"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Throw
[State -1, State]
type = ChangeState
value = 800800
triggerall = AILevel <= 0
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = command = "y" || command = "z"
triggerall = statetype = S 
triggerall = ctrl
trigger1 = p2bodydist X <= 20
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H || p2stateno = 5300
trigger1 = command = "holdfwd" || command = "holdback"

;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, State]
type = ChangeState
value = 800200
triggerall = AILevel <= 0
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = S
trigger1 = ctrl

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 800210
triggerall = AILevel <= 0
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = S
trigger1 = ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 800220
triggerall = AILevel <= 0
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Slide Kick
[State -1, State]
type = ChangeState
value = 800230
triggerall = AILevel <= 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = S
trigger1 = ctrl

; Stand Medium Kick
[State -1, State]
type = ChangeState
value = 800240
triggerall = AILevel <= 0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = S
trigger1 = ctrl

; Scissor Kick
[State -1, State]
type = ChangeState
value = 800250
triggerall = AILevel <= 0
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 800400
triggerall = AILevel <= 0
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = command = "x" || command = "y" || command = "z" 
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

; Slide Kick
[State -1, State]
type = ChangeState
value = 800230
triggerall = AILevel <= 0
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = command = "a" || command = "b" || command = "c" 
triggerall = command = "holddown"
trigger1 = statetype = c
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Light Punch
[State -1, State]
type = ChangeState
value = 800600
triggerall = AILevel <= 0
triggerall = command = "x"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = A
trigger1 = ctrl

; Jump Medium Punch
[State -1, State]
type = ChangeState
value = 800610
triggerall = AILevel <= 0
triggerall = command = "y"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = A
trigger1 = ctrl

; Jump Strong Punch
[State -1, State]
type = ChangeState
value = 800620
triggerall = AILevel <= 0
triggerall = command = "z"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Light Kick
[State -1, State]
type = ChangeState
value = 800630
triggerall = AILevel <= 0
triggerall = command = "x" || command = "a"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = A
trigger1 = ctrl

; Jump Medium Kick
[State -1, State]
type = ChangeState
value = 800640
triggerall = AILevel <= 0
triggerall = command = "y" || command = "b"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = A
trigger1 = ctrl

; Jump Strong Kick
[State -1, State]
type = ChangeState
value = 800650
triggerall = AILevel <= 0
triggerall = command = "z" || command = "c"
triggerall = Name = "M.Bison" || var(58) = 8
trigger1 = statetype = A
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
; [SAGAT COMMANDS]
;---------------------------------------------------------------------------
; Tiger Uppercut
[State -1, State]
type = ChangeState
value = 901100
triggerall = AILevel <= 0
triggerall = Name = "Sagat" || var(58) = 9
triggerall = command = "dp_x" || command = "dp_y" || command = "dp_z"
trigger1 = StateNo >= 900200
trigger1 = StateNo < 900500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Tiger Shot High
[State -1, State]
type = ChangeState
value = 901000
triggerall = AILevel <= 0
triggerall = Name = "Sagat" || var(58) = 9
triggerall = NumHelper(2000 + (var(58) * 100000)) <= 0
triggerall = command = "df_x" || command = "df_y" || command = "df_z"
trigger1 = StateNo >= 900200
trigger1 = StateNo < 900500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Tiger Shot Low
[State -1, State]
type = ChangeState
value = 901010
triggerall = AILevel <= 0
triggerall = Name = "Sagat" || var(58) = 9
triggerall = NumHelper(2000 + (var(58) * 100000)) <= 0
triggerall = command = "df_a" || command = "df_b" || command = "df_c"
trigger1 = StateNo >= 900200
trigger1 = StateNo < 900500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, State]
type = ChangeState
value = 900200
triggerall = AILevel <= 0
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = Name = "Sagat" || var(58) = 9
trigger1 = statetype = S
trigger1 = ctrl

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 900210
triggerall = AILevel <= 0
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = Name = "Sagat" || var(58) = 9
trigger1 = statetype = S
trigger1 = ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 900220
triggerall = AILevel <= 0
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = Name = "Sagat" || var(58) = 9
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Stand Light Kick
[State -1, State]
type = ChangeState
value = 900230
triggerall = AILevel <= 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = Name = "Sagat" || var(58) = 9
trigger1 = statetype = S
trigger1 = ctrl

; Stand Medium Kick
[State -1, State]
type = ChangeState
value = 900240
triggerall = AILevel <= 0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = Name = "Sagat" || var(58) = 9
trigger1 = statetype = S
trigger1 = ctrl

; Stand Strong Kick
[State -1, State]
type = ChangeState
value = 900250
triggerall = AILevel <= 0
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = Name = "Sagat" || var(58) = 9
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 900400
triggerall = AILevel <= 0
triggerall = Name = "Sagat" || var(58) = 9
triggerall = command = "x" || command = "y" || command = "z" || command = "a" || command = "b" || command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Light Kick
[State -1, State]
type = ChangeState
value = 900630
triggerall = AILevel <= 0
triggerall = command = "x" || command = "a"
triggerall = Name = "Sagat" || var(58) = 9
trigger1 = statetype = A
trigger1 = ctrl

; Jump Medium Kick
[State -1, State]
type = ChangeState
value = 900640
triggerall = AILevel <= 0
triggerall = command = "y" || command = "b"
triggerall = Name = "Sagat" || var(58) = 9
trigger1 = statetype = A
trigger1 = ctrl

; Jump Strong Kick
[State -1, State]
type = ChangeState
value = 900650
triggerall = AILevel <= 0
triggerall = command = "z" || command = "c"
triggerall = Name = "Sagat" || var(58) = 9
trigger1 = statetype = A
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
; [BALROG COMMANDS]
;---------------------------------------------------------------------------
; Turn Punch
[State -1, State]
type = ChangeState
value = 1001000
triggerall = AILevel <= 0
triggerall = Name = "Balrog" || var(58) = 10
triggerall = command = "db_x" || command = "db_y" || command = "db_z"
trigger1 = StateNo >= 1000200
trigger1 = StateNo < 1000500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Dash Punch Straight
[State -1, State]
type = ChangeState
value = 1001100
triggerall = AILevel <= 0
triggerall = Name = "Balrog" || var(58) = 10
triggerall = command = "df_x" || command = "df_y" || command = "df_z"
trigger1 = StateNo >= 1000200
trigger1 = StateNo < 1000500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Dash Punch Uppercut
[State -1, State]
type = ChangeState
value = 1001200
triggerall = AILevel <= 0
triggerall = Name = "Balrog" || var(58) = 10
triggerall = command = "df_a" || command = "df_b" || command = "df_c"
trigger1 = StateNo >= 1000200
trigger1 = StateNo < 1000500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, State]
type = ChangeState
value = 1000200
triggerall = AILevel <= 0
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = Name = "Balrog" || var(58) = 10
trigger1 = StateNo = 1000200
trigger1 = AnimElem = 2, > 0
trigger1 = StateTime >= 5
trigger2 = statetype = S
trigger2 = ctrl

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 1000210
triggerall = AILevel <= 0
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = Name = "Balrog" || var(58) = 10
trigger1 = statetype = S
trigger1 = ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 1000220
triggerall = AILevel <= 0
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = Name = "Balrog" || var(58) = 10
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, State]
type = ChangeState
value = 1000230
triggerall = AILevel <= 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = Name = "Balrog" || var(58) = 10
trigger1 = StateNo = 1000230
trigger1 = AnimElem = 2, > 0
trigger1 = StateTime >= 5
trigger2 = statetype = S
trigger2 = ctrl

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 1000240
triggerall = AILevel <= 0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = Name = "Balrog" || var(58) = 10
trigger1 = statetype = S
trigger1 = ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 1000250
triggerall = AILevel <= 0
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = Name = "Balrog" || var(58) = 10
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 1000400
triggerall = AILevel <= 0
triggerall = Name = "Balrog" || var(58) = 10
triggerall = command = "x" || command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

; Crouch Medium Punch
[State -1, State]
type = ChangeState
value = 1000410
triggerall = AILevel <= 0
triggerall = Name = "Balrog" || var(58) = 10
triggerall = command = "y" || command = "z" || command = "b" || command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Light Punch
[State -1, State]
type = ChangeState
value = 1000600
triggerall = AILevel <= 0
triggerall = command = "x" || command = "a"
triggerall = Name = "Balrog" || var(58) = 10
trigger1 = statetype = A
trigger1 = ctrl

; Jump Medium Punch
[State -1, State]
type = ChangeState
value = 1000610
triggerall = AILevel <= 0
triggerall = command = "y"  || command = "b"
triggerall = Name = "Balrog" || var(58) = 10
trigger1 = statetype = A
trigger1 = ctrl

; Jump Strong Punch
[State -1, State]
type = ChangeState
value = 1000620
triggerall = AILevel <= 0
triggerall = command = "z"  || command = "c"
triggerall = Name = "Balrog" || var(58) = 10
trigger1 = statetype = A
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
; [VEGA COMMANDS]
;---------------------------------------------------------------------------
; Rolling Claw
[State -1, State]
type = ChangeState
value = 1101000
triggerall = AILevel <= 0
triggerall = Name = "Vega" || Var(58) = 11
triggerall = command = "df_x" || command = "df_y" || command = "df_z"
trigger1 = StateNo >= 1100200
trigger1 = StateNo < 1100500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Wall Cling Thrust
[State -1, State]
type = ChangeState
value = 1101100
triggerall = AILevel <= 0
triggerall = Name = "Vega" || Var(58) = 11
triggerall = command = "db_x" || command = "db_y" || command = "db_z" || command = "db_a" || command = "db_b" || command = "db_c"
trigger1 = StateNo >= 1100200
trigger1 = StateNo < 1100500
trigger1 = HitPauseTime > 0
trigger1 = StateTime > 0
trigger1 = Var(20) > 0
trigger2 = statetype != A
trigger2 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Backflip Reversal
[State -1, ReversalDef]
type = ReversalDef
triggerall = Name = "Vega" || Var(58) = 11
triggerall = command != "holddown"
triggerall = command = "holdback"
trigger1 = statetype != A
trigger1 = StateNo < 160
reversal.attr = SCA, AA, AT, AP
p1stateno = 1100900
p1sprpriority = 1
p2sprpriority = 2
pausetime = 0,0
sparkno = -1
sparkxy = 0,0
numhits = 0

; Backflip Move
[State -1, State]
type = ChangeState
value = 1100900
triggerall = AILevel <= 0
triggerall = Name = "Vega" || Var(58) = 11
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = StateNo < 160
trigger1 = MoveType != A
trigger1 = MoveContact || HitShakeOver = 0 && Time <= 0
ignorehitpause = 1

;---------------------------------------------------------------------------
; Throw
[State -1, State]
type = ChangeState
value = 1100800
triggerall = AILevel <= 0
triggerall = Name = "Vega" || Var(58) = 11
triggerall = command = "y" || command = "z"
triggerall = statetype = S 
triggerall = ctrl
trigger1 = p2bodydist X <= 20
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H || p2stateno = 5300
trigger1 = command = "holdfwd" || command = "holdback"

; Air Throw
[State -1, State]
type = ChangeState
value = 1100850
triggerall = Vel X >= 0
triggerall = AILevel <= 0
triggerall = Name = "Vega" || Var(58) = 11
triggerall = command = "y" || command = "z"
triggerall = statetype = A
triggerall = ctrl
trigger1 = command = "holdfwd" || command = "holdback"
trigger1 = p2bodydist X <= 20
trigger1 = p2bodydist Y > -50
trigger1 = p2bodydist Y < 50
trigger1 = p2statetype = A
trigger1 = p2movetype != H

;---------------------------------------------------------------------------
; Stand Light Punch
[State -1, State]
type = ChangeState
value = 1100200
triggerall = AILevel <= 0
triggerall = Name = "Vega" || var(58) = 11
triggerall = command = "x" || command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 1100210
triggerall = AILevel <= 0
triggerall = Name = "Vega" || var(58) = 11
triggerall = command = "y" || command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 1100220
triggerall = AILevel <= 0
triggerall = Name = "Vega" || var(58) = 11
triggerall = command = "z" || command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 1100400
triggerall = AILevel <= 0
triggerall = Name = "Vega" || var(58) = 11
triggerall = command = "x" || command = "y" || command = "z"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
; Crouch Light Kick
[State -1, State]
type = ChangeState
value = 1100430
triggerall = AILevel <= 0
triggerall = Name = "Vega" || var(58) = 11
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

; Crouch Medium Kick
[State -1, State]
type = ChangeState
value = 1100440
triggerall = AILevel <= 0
triggerall = Name = "Vega" || var(58) = 11
triggerall = command = "b" || command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
; Jump Light Kick
[State -1, State]
type = ChangeState
value = 1100630
triggerall = AILevel <= 0
triggerall = Name = "Vega" || var(58) = 11
triggerall = command = "x" || command = "y" || command = "z" || command = "a" || command = "b" || command = "c"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
; Wall Jump
[State -1]
type = ChangeState
value = 1100060
triggerall = Pos Y <= -50
triggerall = Name = "Vega" || var(58) = 11
triggerall = ctrl || StateNo >= 1100600 && StateNo < 1100700 && Time >= 15
triggerall = statetype = A
triggerall = MoveType != H
trigger1 = AILevel <= 0
trigger1 = command = "holdup"
trigger1 = command = "holdfwd"
trigger1 = BackEdgeBodyDist <= 0
trigger2 = AILevel <= 0
trigger2 = command = "holdup"
trigger2 = command = "holdback"
trigger2 = FrontEdgeBodyDist <= 0
trigger3 = BackEdgeBodyDist <= 0
trigger3 = AILevel > 0
trigger3 = Var(26) > 0
trigger3 = Vel Y >= 0
trigger4 = FrontEdgeBodyDist <= 0
trigger4 = AILevel > 0
trigger4 = Var(26) > 0
trigger4 = Vel Y >= 0

;===========================================================================
;---------------------------------------------------------------------------
; CPU AI System
;---------------------------------------------------------------------------
; Random AI
[State -1, Random]
type = VarRandom
trigger1 = Ctrl
trigger1 = AILevel > 0
trigger1 = RoundState = 2
ignorehitpause = 1
v = 33
range = 0,100

[State -1, VarSet]
type = VarSet
trigger1 = AILevel <= 0
trigger2 = RoundState != 2
ignorehitpause = 1
v = 33
value = 0

;---------------------------------------------------------------------------
; [SHENG LONG AI SYSTEM]
;---------------------------------------------------------------------------
; Flaming Shoryuken
[State -1, State]
type = ChangeState
value = 1010
triggerall = Ctrl
triggerall = AILevel > 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = RoundState = 2
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X > 25
trigger1 = P2BodyDist X < 50
trigger1 = Var(33) >= 70
trigger1 = Var(33) < 80
trigger2 = P2StateType = A
trigger2 = P2BodyDist X > 25
trigger2 = P2BodyDist X < 150
trigger2 = EnemyNear, Vel Y >= 0
trigger2 = EnemyNear, Pos Y < 0
trigger3 = Life <= (LifeMax / 4)

; Tatsumaki Senpukyaku
[State -1, State]
type = ChangeState
value = 1110
triggerall = AILevel > 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = RoundState = 2
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X > 100
trigger1 = P2BodyDist X < 150
trigger1 = Var(33) >= 80
trigger1 = Var(33) < 90
trigger1 = Ctrl

; Tatsumaki Senpukyaku Air
[State -1, State]
type = ChangeState
value = 1150
triggerall = AILevel > 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = RoundState = 2
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X > 100
trigger1 = P2BodyDist X < 150
trigger1 = Var(33) >= 80
trigger1 = Var(33) < 90
trigger1 = Ctrl

; Hadoken
[State -1, State]
type = ChangeState
value = 1200
triggerall = AILevel > 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = RoundState = 2
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X >= 150
trigger1 = Var(33) >= 90
trigger1 = Var(33) < 100
trigger1 = Ctrl

; Air Hadoken
[State -1, State]
type = ChangeState
value = 1300
triggerall = Ctrl
triggerall = AILevel > 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = RoundState = 2
triggerall = Pos Y <= -50
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
trigger1 = P2BodyDist X > 75
trigger1 = Var(33) >= 90
trigger1 = Var(33) < 100
trigger1 = Ctrl

; Sonic Boom
[State -1, State]
type = ChangeState
value = 1500
triggerall = AILevel > 0
triggerall = var(58) = 12
triggerall = Var(57) >= 500
triggerall = RoundState = 2
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X > 150
trigger1 = Var(33) >= 80
trigger1 = Var(33) < 90
trigger1 = Ctrl

; Air Throw
[State -1, State]
type = ChangeState
value = 900
triggerall = AILevel > 0
triggerall = Var(58) = 12
triggerall = Var(57) >= 500
triggerall = RoundState = 2
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 60
trigger1 = Var(33) < 70
trigger1 = Ctrl

;---------------------------------------------------------------------------
; [RYU/KEN AI SYSTEM]
;---------------------------------------------------------------------------
; Shoryuken
[State -1, State]
type = ChangeState
value = 1000
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X > 25
trigger1 = P2BodyDist X < 50
trigger1 = Var(33) >= 70
trigger1 = Var(33) < 80
trigger2 = P2StateType = A
trigger2 = P2BodyDist X > 25
trigger2 = P2BodyDist X < 150
trigger2 = EnemyNear, Pos Y < 0
trigger2 = EnemyNear, Vel Y >= 0
trigger3 = Name = "Ken" || var(58) = 4
trigger3 = Life <= (LifeMax / 4)

; Tatsumaki Senpukyaku
[State -1, State]
type = ChangeState
value = 1100
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X > 100
trigger1 = P2BodyDist X < 150
trigger1 = Var(33) >= 80
trigger1 = Var(33) < 90
trigger1 = Ctrl

; Hadoken
[State -1, State]
type = ChangeState
value = 1200
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4
triggerall = NumHelper(2000 + (var(58) * 100000)) <= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X >= 150
trigger1 = Var(33) >= 90
trigger1 = Var(33) < 100
trigger1 = Ctrl

; Stand Light Punch
[State -1, State]
type = ChangeState
value = 200
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 0
trigger1 = Var(33) < 5
trigger1 = Ctrl

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 210
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 5
trigger1 = Var(33) < 10
trigger1 = Ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 220
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 10
trigger1 = Var(33) < 15
trigger1 = Ctrl

; Stand Light Kick
[State -1, State]
type = ChangeState
value = 230
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 15
trigger1 = Var(33) < 20
trigger1 = Ctrl

; Stand Medium Kick
[State -1, State]
type = ChangeState
value = 240
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 20
trigger1 = Var(33) < 25
trigger1 = Ctrl

; Stand Strong Kick
[State -1, State]
type = ChangeState
value = 250
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 25
trigger1 = Var(33) < 30
trigger1 = Ctrl

; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 400
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 30
trigger1 = Var(33) < 35
trigger1 = Ctrl

; Crouch Medium Punch
[State -1, State]
type = ChangeState
value = 410
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 35
trigger1 = Var(33) < 40
trigger1 = Ctrl

; Crouch Strong Punch
[State -1, State]
type = ChangeState
value = 420
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 40
trigger1 = Var(33) < 45
trigger1 = Ctrl

; Crouch Light Kick
[State -1, State]
type = ChangeState
value = 430
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 45
trigger1 = Var(33) < 50
trigger1 = Ctrl

; Crouch Medium Kick
[State -1, State]
type = ChangeState
value = 440
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 50
trigger1 = Var(33) < 55
trigger1 = Ctrl

; Crouch Strong Kick
[State -1, State]
type = ChangeState
value = 450
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 55
trigger1 = Var(33) < 60
trigger1 = Ctrl

; Jump Light Punch
[State -1, State]
type = ChangeState
value = 600
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = Vel Y >= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 0
trigger1 = Var(33) < 10
trigger1 = Ctrl

; Jump Medium Punch
[State -1, State]
type = ChangeState
value = 610
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = Vel Y >= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 10
trigger1 = Var(33) < 20
trigger1 = Ctrl

; Jump Strong Punch
[State -1, State]
type = ChangeState
value = 620
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = Vel Y >= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 20
trigger1 = Var(33) < 30
trigger1 = Ctrl

; Jump Light Kick
[State -1, State]
type = ChangeState
value = 630
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = Vel Y >= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 30
trigger1 = Var(33) < 40
trigger1 = Ctrl

; Jump Medium Kick
[State -1, State]
type = ChangeState
value = 640
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = Vel Y >= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 40
trigger1 = Var(33) < 50
trigger1 = Ctrl

; Jump Strong Kick
[State -1, State]
type = ChangeState
value = 650
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = Vel Y >= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 50
trigger1 = Var(33) < 60
trigger1 = Ctrl

; Throw
[State -1, State]
type = ChangeState
value = 800
triggerall = RoundState = 2
triggerall = Name = "Ryu" || Name = "Ken" || var(58) <= 0 || var(58) = 4 || var(58) = 12 && Var(57) >= 500
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = S
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 60
trigger1 = Var(33) < 70
trigger1 = Ctrl

;---------------------------------------------------------------------------
; [M.Bison AI SYSTEM]
;---------------------------------------------------------------------------
; Force Cape Intro
[State -1, State]
type = ChangeState
triggerall = AILevel > 0
triggerall = RoundNo <= 1
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = StateType != A
triggerall = MoveType != H
trigger1 = StateNo < 100
trigger1 = Var(26) < 10
value = 800190

; Psycho Crusher
[State -1, State]
type = ChangeState
value = 801000
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = Var(33) >= 80
trigger1 = Var(33) < 90
trigger1 = Ctrl

; Head Stomp
[State -1, State]
type = ChangeState
value = 801100
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = Var(33) >= 90
trigger1 = Var(33) < 100
trigger1 = Ctrl

; Stand Light Punch
[State -1, State]
type = ChangeState
value = 800200
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 0
trigger1 = Var(33) < 5
trigger1 = Ctrl

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 800210
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 5
trigger1 = Var(33) < 10
trigger1 = Ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 800220
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 10
trigger1 = Var(33) < 15
trigger1 = Ctrl

; Stand Slide
[State -1, State]
type = ChangeState
value = 800230
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 75
trigger1 = Var(33) >= 15
trigger1 = Var(33) < 20
trigger2 = Var(33) >= 65
trigger2 = Var(33) < 70

; Stand Medium Kick
[State -1, State]
type = ChangeState
value = 800240
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 20
trigger1 = Var(33) < 25
trigger1 = Ctrl

; Scissor Kick
[State -1, State]
type = ChangeState
value = 800250
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 25
trigger1 = Var(33) < 30
trigger2 = Var(33) >= 30
trigger2 = Var(33) < 40

; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 800400
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 75
trigger1 = P2StateNo >= 200
trigger1 = P2StateNo < 400
trigger1 = Var(33) > 0
trigger1 = Var(33) < 50
trigger2 = Var(33) >= 60
trigger2 = Var(33) < 65

; Jump Light Kick
[State -1, State]
type = ChangeState
value = 800630
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 100
trigger1 = Var(33) >= 0
trigger1 = Var(33) < 10
trigger2 = Var(33) >= 30
trigger2 = Var(33) < 40

; Jump Medium Kick
[State -1, State]
type = ChangeState
value = 800640
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 100
trigger1 = Var(33) >= 10
trigger1 = Var(33) < 20
trigger2 = Var(33) >= 40
trigger2 = Var(33) < 50

; Jump Strong Kick
[State -1, State]
type = ChangeState
value = 800650
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 100
trigger1 = Var(33) >= 20
trigger1 = Var(33) < 30
trigger2 = Var(33) >= 50
trigger2 = Var(33) < 60

; Throw
[State -1, State]
type = ChangeState
value = 800800
triggerall = RoundState = 2
triggerall = Name = "M.Bison" || var(58) = 8
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = S
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 60
trigger1 = Var(33) < 70
trigger1 = Ctrl

;---------------------------------------------------------------------------
; [SAGAT AI SYSTEM]
;---------------------------------------------------------------------------
; Tiger Shot High
[State -1, State]
type = ChangeState
value = 901000
triggerall = RoundState = 2
triggerall = Name = "Sagat" || var(58) = 9
triggerall = NumHelper(2000 + (var(58) * 100000)) <= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X > 100
trigger1 = Var(33) >= 70
trigger1 = Var(33) < 80
trigger1 = Ctrl

; Tiger Shot Low
[State -1, State]
type = ChangeState
value = 901010
triggerall = RoundState = 2
triggerall = Name = "Sagat" || var(58) = 9
triggerall = NumHelper(2000 + (var(58) * 100000)) <= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X > 100
trigger1 = Var(33) >= 80
trigger1 = Var(33) < 90
trigger1 = Ctrl

; Tiger Uppercut
[State -1, State]
type = ChangeState
value = 901100
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Sagat" || var(58) = 9
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X > 25
trigger1 = P2BodyDist X < 50
trigger1 = Var(33) >= 90
trigger1 = Var(33) < 100
trigger2 = P2StateType = A
trigger2 = P2BodyDist X > 25
trigger2 = P2BodyDist X < 150
trigger2 = EnemyNear, Vel Y > 0
trigger2 = EnemyNear, Pos Y < 0

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 900210
triggerall = RoundState = 2
triggerall = Name = "Sagat" || var(58) = 9
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 10
trigger1 = Var(33) < 20
trigger1 = Ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 900220
triggerall = RoundState = 2
triggerall = Name = "Sagat" || var(58) = 9
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 20
trigger1 = Var(33) < 30
trigger1 = Ctrl

; Stand Light Kick
[State -1, State]
type = ChangeState
value = 900230
triggerall = RoundState = 2
triggerall = Name = "Sagat" || var(58) = 9
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 30
trigger1 = Var(33) < 50
trigger1 = Ctrl

; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 900400
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Sagat" || var(58) = 9
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 75
trigger1 = P2StateNo >= 200
trigger1 = P2StateNo < 400
trigger1 = Var(33) > 0
trigger1 = Var(33) < 50
trigger2 = Var(33) >= 60
trigger2 = Var(33) < 70

; Jump Light Kick
[State -1, State]
type = ChangeState
value = 900630
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Sagat" || var(58) = 9
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 100
trigger1 = Var(33) >= 0
trigger1 = Var(33) < 10
trigger2 = Var(33) >= 30
trigger2 = Var(33) < 40

; Jump Medium Kick
[State -1, State]
type = ChangeState
value = 900640
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Sagat" || var(58) = 9
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 100
trigger1 = Var(33) >= 10
trigger1 = Var(33) < 20
trigger2 = Var(33) >= 40
trigger2 = Var(33) < 50

; Jump Strong Kick
[State -1, State]
type = ChangeState
value = 900650
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Sagat" || var(58) = 9
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 100
trigger1 = Var(33) >= 20
trigger1 = Var(33) < 30
trigger2 = Var(33) >= 50
trigger2 = Var(33) < 60

;---------------------------------------------------------------------------
; [BALROG AI SYSTEM]
;---------------------------------------------------------------------------
; Turn Punch
[State -1, State]
type = ChangeState
value = 1001000
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2BodyDist X <= 75
triggerall = P2StateType != L
trigger1 = P2StateNo = 5300
trigger2 = Var(33) = 70

; Dash Punch Strait
[State -1, State]
type = ChangeState
value = 1001100
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X >= 100
trigger1 = Var(33) >= 80
trigger1 = Var(33) < 90
trigger1 = Ctrl

; Dash Punch Upper
[State -1, State]
type = ChangeState
value = 1001200
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X >= 100
trigger1 = Var(33) >= 90
trigger1 = Var(33) < 100
trigger1 = Ctrl

; Stand Light Punch
[State -1, State]
type = ChangeState
value = 1000200
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 0
trigger1 = Var(33) < 10
trigger1 = Ctrl

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 1000210
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 10
trigger1 = Var(33) < 20
trigger1 = Ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 1000220
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 20
trigger1 = Var(33) < 30
trigger1 = Ctrl

; Stand Light Punch
[State -1, State]
type = ChangeState
value = 1000230
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 30
trigger1 = Var(33) < 40
trigger1 = Ctrl

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 1000240
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 40
trigger1 = Var(33) < 50
trigger1 = Ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 1000250
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 50
trigger1 = Var(33) < 60
trigger1 = Ctrl

; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 1000400
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 75
trigger1 = P2StateNo >= 200
trigger1 = P2StateNo < 400
trigger1 = Var(33) > 0
trigger1 = Var(33) < 50
trigger2 = Var(33) >= 60
trigger2 = Var(33) < 65

; Crouch Medium Punch
[State -1, State]
type = ChangeState
value = 1000410
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 75
trigger1 = Var(33) >= 65
trigger1 = Var(33) < 70
trigger1 = Ctrl

; Jump Light Punch
[State -1, State]
type = ChangeState
value = 1000600
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = Vel Y >= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 100
trigger1 = Var(33) >= 0
trigger1 = Var(33) < 10
trigger2 = Var(33) >= 30
trigger2 = Var(33) < 40

; Jump Medium Punch
[State -1, State]
type = ChangeState
value = 1000610
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = Vel Y >= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 100
trigger1 = Var(33) >= 10
trigger1 = Var(33) < 20
trigger2 = Var(33) >= 40
trigger2 = Var(33) < 50

; Jump Strong Punch
[State -1, State]
type = ChangeState
value = 1000620
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Balrog" || var(58) = 10
triggerall = Vel Y >= 0
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 100
trigger1 = Var(33) >= 20
trigger1 = Var(33) < 30
trigger2 = Var(33) >= 50
trigger2 = Var(33) < 60

;---------------------------------------------------------------------------
; [VEGA AI SYSTEM]
;---------------------------------------------------------------------------
; Force Jump Start
[State -1, State]
type = ChangeState
triggerall = AILevel > 0
triggerall = Name = "Vega" || var(58) = 11
triggerall = StateType != A
triggerall = MoveType != H
trigger1 = StateNo < 100
trigger1 = Var(26) <= 0
trigger1 = Ctrl
value = 40

; Backflip Move
[State -1, State]
type = ChangeState
value = 1100900
triggerall = AILevel > 0
triggerall = StateTime >= 5
triggerall = RoundState = 2
triggerall = Name = "Vega" || Var(58) = 11
triggerall = statetype != A
trigger1 = StateNo < 160
trigger1 = Movetype != A
trigger1 = P2BodyDist X <= 100
trigger1 = P2StateType != C
trigger1 = P2MoveType = A
trigger1 = Ctrl
ignorehitpause = 1

; CPU Claw Roll/Trip Attack
[State -1, State]
type = ChangeState
value = 1100990
triggerall = RoundState = 2
triggerall = Name = "Vega" || Var(58) = 11
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X > 200
trigger1 = Var(33) >= 70
trigger1 = Var(33) < 80
trigger1 = Ctrl

; Wall Cling Thrust
[State -1, State]
type = ChangeState
value = 1101100
triggerall = RoundState = 2
triggerall = Name = "Vega" || Var(58) = 11
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2MoveType != H
trigger1 = P2BodyDist X > 200
trigger1 = Life <= (LifeMax / 2)
trigger1 = Var(33) >= 80
trigger1 = Var(33) < 100
trigger1 = Ctrl

; Stand Light Punch
[State -1, State]
type = ChangeState
value = 1100200
triggerall = RoundState = 2
triggerall = Name = "Vega" || Var(58) = 11
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 100
trigger1 = Var(33) >= 0
trigger1 = Var(33) < 10
trigger1 = Ctrl

; Stand Medium Punch
[State -1, State]
type = ChangeState
value = 1100210
triggerall = RoundState = 2
triggerall = Name = "Vega" || Var(58) = 11
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 100
trigger1 = Var(33) >= 10
trigger1 = Var(33) < 20
trigger1 = Ctrl

; Stand Strong Punch
[State -1, State]
type = ChangeState
value = 1100220
triggerall = RoundState = 2
triggerall = Name = "Vega" || Var(58) = 11
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 100
trigger1 = Var(33) >= 20
trigger1 = Var(33) < 30
trigger1 = Ctrl

; Crouch Light Punch
[State -1, State]
type = ChangeState
value = 1100400
triggerall = RoundState = 2
triggerall = Name = "Vega" || Var(58) = 11
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 100
trigger1 = Var(33) >= 30
trigger1 = Var(33) < 40
trigger1 = Ctrl

; Crouch Light Kick
[State -1, State]
type = ChangeState
value = 1100430
triggerall = Ctrl
triggerall = RoundState = 2
triggerall = Name = "Vega" || Var(58) = 11
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = P2BodyDist X <= 75
trigger1 = P2StateNo >= 200
trigger1 = P2StateNo < 400
trigger1 = Var(33) > 0
trigger1 = Var(33) < 50
trigger2 = Var(33) >= 40
trigger2 = Var(33) < 50

; Jump Light Kick
[State -1, State]
type = ChangeState
value = 1100630
triggerall = RoundState = 2
triggerall = Name = "Vega" || Var(58) = 11
triggerall = AILevel > 0
triggerall = Var(26) > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
trigger1 = P2BodyDist X > 50
trigger1 = P2BodyDist X <= 100
trigger1 = Var(33) >= 0
trigger1 = Var(33) < 50
trigger1 = Ctrl

; Throw
[State -1, State]
type = ChangeState
value = 1100800
triggerall = RoundState = 2
triggerall = Name = "Vega" || Var(58) = 11
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = S
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 60
trigger1 = Var(33) < 70
trigger1 = Ctrl

; Air Throw
[State -1, State]
type = ChangeState
value = 1100850
triggerall = RoundState = 2
triggerall = Name = "Vega" || Var(58) = 11
triggerall = AILevel > 0
triggerall = StateNo < 120
triggerall = StateType = A
triggerall = P2StateType != L
trigger1 = P2BodyDist X <= 50
trigger1 = Var(33) >= 60
trigger1 = Var(33) < 70
trigger1 = Ctrl

;---------------------------------------------------------------------------
; [GUARD AI SYSTEM]
;---------------------------------------------------------------------------
; Crouch Guard
[State -1, Guard]
type = ChangeState
value = 131
triggerall = Ctrl
triggerall = AILevel > 0
triggerall = StateNo < 160
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = P2Dist X <= 100
trigger1 = EnemyNear, MoveType = A
trigger1 = EnemyNear, HitDefAttr = C, AA, AP

; Stand Guard
[State -1, Guard]
type = ChangeState
value = 130
triggerall = Ctrl
triggerall = AILevel > 0
triggerall = StateNo < 160
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = P2Dist X <= 100
trigger1 = P2StateType = A
trigger1 = EnemyNear, MoveType != H
trigger2 = EnemyNear, MoveType = A
trigger2 = EnemyNear, HitDefAttr = S, AA, AP
trigger3 = P2StateNo >= 1000
trigger3 = P2StateNo < 3000
trigger3 = P2MoveType != H
trigger3 = P2MoveType = A

;---------------------------------------------------------------------------
;===========================================================================
